From sknd100@yahoo.com Thu, 03 Jan 2002 18:23:14 -0800
From: "Scott Shafer" <sknd100@yahoo.com>
Date: Thu, 03 Jan 2002 18:23:14 -0800
Subject: Re: Export via pipe ksh script
Message-ID: <F001.003E6829.20020103180033@fatcity.com>
MIME-Version: 1.0
Content-Type: text/plain
Title: Export via pipe ksh script



From <A 
href="http://www.orafaq.com">http://www.orafaq.com(in the sig for this 
list):

<begin>

Can one export to multiple files?/ Can one beat the Unix 2 Gig 
limit?

From Oracle8i, the export utility supports multiple output 
files. This feature enables large exports to be divided into files whose sizes 
will not exceedany operating system limits (FILESIZE= parameter). When 
importing from multi-file export you must provide the same filenames in the same 
sequencein the FILE= parameter. Look at this example: 

 exp 
SCOTT/TIGER FILE=D:\F1.dmp,E:\F2.dmp FILESIZE=10m LOG=scott.log

Use the following technique if you use an Oracle version prior 
to 8i: 

Create a compressed export on the fly. Depending on the type 
of data, you probably can export up to 10 gigabytes to a single file. This 
example usesgzip. It offers the best compression I know of, but you can also 
substitute it with zip, compress or whatever. 

 # create a named 
pipe mknod exp.pipe 
p # read the pipe - output to zip 
file in the background gzip < 
exp.pipe > scott.exp.gz & # 
feed the pipe exp 
userid=scott/tiger file=exp.pipe ...

<FONT 
size=2> 
Contributed by Jared K Still 

Read the Oracle/Unix FAQ for more examples on using Unix 
pipes. 

<end>

Check it out. 

--Scott

<BLOCKQUOTE dir=ltr 
style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
  ----- Original Message ----- 
  <DIV 
  style="BACKGROUND: #e4e4e4; FONT: 10pt arial; font-color: black">From: 
  Thomas Jeff 

  To: <A title=ORACLE-L@fatcity.com 
  href="mailto:ORACLE-L@fatcity.com">Multiple recipients of list ORACLE-L 
  
  Sent: Thursday, January 03, 2002 6:35 
  PM
  Subject: Export via pipe ksh script
  
  Could someone please send me a ksh script 
  for doing imp/exp via a pipe. We're 
  running AIX 4.3.3. 
  Thanks! 
  <FONT face="Courier New" 
  size=2>-------------------------------------------- <FONT 
  face="Courier New" size=2>Jeffery D Thomas <FONT face="Courier New" 
  size=2>DBA Thomson Information 
  Services Thomson multimedia 
  Inc. 
  Email: <A 
  href="mailto:thomasje@tce.com">thomasje@tce.com <FONT 
  face="Courier New" size=2>DBA Quickplace: <A 
  href="http://gkmqp.tce.com/tis_dba" 
  target=_blank>http://gkmqp.tce.com/tis_dba <FONT 
  face="Courier New" size=2>-------------------------------------------- 
   




